Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsLocalTransaction

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsLocalTransaction

All Implemented Interfaces:
  javax.resource.spi.LocalTransaction

public class JmsLocalTransaction
extends Object
implements javax.resource.spi.LocalTransaction

??? Created: Tue Apr 17 23:44:05 2001

Version:
  $Revision: 1.5 $
Author:
  Peter Antman .

Field Summary
`protected JmsManagedConnection` | `mc`

Constructor Summary
`JmsLocalTransaction(JmsManagedConnection mc)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`void` | `rollback()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mc

    protected JmsManagedConnection mc

Constructor Detail

### JmsLocalTransaction

    public JmsLocalTransaction(JmsManagedConnection mc)

Method Detail

### begin

    public void begin()
               throws javax.resource.ResourceException

  Specified by:
    `begin` in interface `javax.resource.spi.LocalTransaction`
  Throws:
    `javax.resource.ResourceException`

### commit

    public void commit()
                throws javax.resource.ResourceException

  Specified by:
    `commit` in interface `javax.resource.spi.LocalTransaction`
  Throws:
    `javax.resource.ResourceException`

### rollback

    public void rollback()
                  throws javax.resource.ResourceException

  Specified by:
    `rollback` in interface `javax.resource.spi.LocalTransaction`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.